with import <nixpkgs> {};
let
  package = pkgs.callPackage ./. {};
  fennel-ls1 =
    let inherit (pkgs) stdenv pandoc;
    in stdenv.mkDerivation {
      name = "fennel-ls";
      buildInputs = [ package.lua ];
      nativeBuildInputs = [ pandoc ];
      makeFlags = [ "PREFIX=\\$out" ];
      src = fetchFromSourcehut {
        owner ="~xerool";
        repo ="fennel-ls";
        rev = "552b03b983c18d7db5053350711bef9088cc9110";
        hash = "sha256-npR10hzPYgDPbKWB5ueq8cXAWYvUEbVVJ1R/EEdCnVY=";
      };
    };
  fennel-ls = pkgs.fennel-ls.override { inherit (package) lua luaPackages; };
in
package.overrideAttrs(o: {
  nativeBuildInputs = [ fennel-ls ] ++ o.nativeBuildInputs;
  shellHook = ''
    mkdir -p bin
    ( cd bin && ln -sf `type -p fennel-ls` `type -p fennel` . )
    export LUA_CPATH=$(lua -e "print(package.cpath)")
    export LUA_PATH=$(lua -e "print(package.path)")\;$RXI_JSON/share/lua/5.3/?.lua
  '';
})
